#use pre-built JAR

Name:           quickdisktest 
Version:        1.30
Release:        %mkrel 1
Summary:        Tests removable media for errors
Group:		File tools
License:        Freeware
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://sourceforge.net/projects/filereadtest/
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no
Source1:        %{name}.png

#-----------------------------------------------------------------

%description
Quick Disk Test, fills a disk with test data and verifies that it can be read back without errors.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://sourceforge.net/projects/filereadtest/files/quickdisktest/QuickDiskTest-1.30.jar/download
mv download QuickDiskTest-1.30.jar
popd


# Installs the Jar
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 0755  %{_sourcedir}/QuickDiskTest-1.30.jar %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar QuickDiskTest-1.30.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# Installs the icon
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

# Installs the launcher
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=QuickDiskTest
GenericName=quickdisktest
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Categories=GTK;System;Filesystem;X-MandrivaLinux-System-FileTools;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Jul 06 2022 Agent Smith <ruidobranco@yahoo.com.br> - 1.30-1pclos2022
- Created pkg from pre-built Jar.
